XScreenSaver(1)

NAME
decayscreen - make a screen meltdown.

SYNOPSIS
decayscreen [-display host:display.screen] [-window] [-root] [-mono] [-install] [-visual visual] [-delay usecs] [-mode mode]

DESCRIPTION
The decayscreen program creates a melting effect by randomly shifting rectangles around the screen.

OPTIONS
decayscreen accepts the following options:

-window
    Draw on a newly-created window. This is the default.

-root
    Draw on the root window.

-mono
    If on a color display, pretend we're on a monochrome display.

-install
    Install a private colormap for the window.

-visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

-delay microseconds
    Slow it down.

-mode mode
    The direction in which the image should tend to slide. Legal values are random (meaning pick one), up, left, right, down, upleft, downleft, upright, downright, shuffle (meaning perfer no particular direction), in (meaning move things toward the center), out (meaning move things away from the center), melt (meaning melt straight downward), and stretch (meaning stretch the screen downward).

RESOURCES
On some systems (currently, only SGIs), this program can, instead of grabbing a desktop image, grab a frame of video from an external camera and manipulate that instead. The following resources control that.

grabVideoProbability (Float)
    What portion of the time to grab video rather than a screen image, between 0.0 and 1.0. Defaults to 0.5, or half the time.

videoDevice (Integer)
    The number of the default video input device to check first. If unspecified, the default camera (from videopanel(1)) will be checked first. After that, all other available video input devices will be checked in order. The first one which produces a non-black image will be used. If all images are black, the others will be re-checked a few times before giving up and falling back to simply grabbing a desktop image (but note that this takes a few seconds, so if you don't actually have any video sources hooked up, you should consider turning off video grabbing by setting grabVideoProbability to 0.0.)

videoGain (Float)
    The amount by which to brighten the grabbed image. This defaults to 2.2.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

SEE ALSO
X(1), xscreensaver(1)

COPYRIGHT
Copyright 1992 by Vivek Khera. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Vivek Khera <khera@cs.duke.edu>, 05-Aug-93; based on code by David Wald, 1988. Modified by jwz, 28-Nov-97. Modified by Rick Schultz <rick@skapunx.net> 05-Apr-1999.